/*
 *	essai sur la vision interieur d'un batiment
 *		les exemples de formes
 *
 *	new: Thu Feb 22 19:32:45 UTC 2024
 */

#version 3.7;

global_settings {
		ambient_light rgb <0.05, 0.05, 0.05>
		assumed_gamma 1.0
		max_trace_level 8
		}

/* system includes */
#include  "colors.inc"
#include  "woods.inc"
#include  "textures.inc"
#include  "stones.inc"
#include  "metals.inc"
#include  "golds.inc"
#include  "glass.inc"
#include  "transforms.inc"

/* my includes */
#include  "values.inc"
#declare  NormClock = clock/800;		/* XXX */

#include  "reperes.inc"
#include  "vaisselle.inc"
#include  "meubles.inc"
#include  "cubes.inc"				// added Sun 08 Jan 2023
#include  "lumieres.inc"
#include  "supports.inc"			// new Thu 22 Dec 2022
#include  "elements.inc"
#include  "grostrucs.inc"
#include  "bidules.inc"
#include  "decorations.inc"
// #include  "univers.inc"
#include  "jardin.inc"
#include  "steles.inc"
#include  "monster.inc"
#include  "rotonde.inc"
#include  "annexe.inc"
#include  "machine.inc"

// #include  "batiment.inc"

#include  "essais.inc"

/*    ======================================================    */
/*
 *	Ici, on place les trucs et les machins dans la scène
 */

object { Annexe }

/*    ======================================================    */

/****** XXX
light_source { < 5, 13, -7>
		color Gray70
		fade_distance   FADE_D
		fade_power      FADE_P }

light_source { <-7, 5,  12>
		color Gray60
		fade_distance   FADE_D
		fade_power      FADE_P  }

light_source { <-9, 6, -9>
		color Gray60
		fade_distance   FADE_D
		fade_power      FADE_P  }
XXX ***/

/*
 *	le sol
 */
cylinder  { <0, -100, 0>, <0, 0, 0>, 8
		pigment {checker White Tan*0.30 } scale 10 }

sky_sphere {
  pigment {
    gradient y
      color_map {
        [ 0.0  color MidnightBlue*0.55 ]
        [ 0.5  color CornflowerBlue*0.18 ]
        [ 1.0  color MidnightBlue*0.55 ]
        }
    turbulence 0.14
    scale 0.25
    rotate z*6
    // translate -1
    }
  emission rgb <0.4, 0.4, 0.4>
  }

/*    ======================================================    */

#local AngleCam = 55;

#declare Begin_Cam   = <2.50, 1.40,  -11>;
#declare End_Cam     = <2.50, 1.95,   1>;
#declare Pos_Cam     = Interpolate(Begin_Cam, End_Cam, NormClock);

#declare Begin_Lat   = <6.95, 1.40,  -6.00>;
#declare End_Lat     = <6.90, 1.60,   4.40>;
#declare Pos_Lat     = Interpolate(Begin_Lat, End_Lat, NormClock);

// eviter la grosse gelule sous-marine
#declare Pos_Cam = Pos_Cam + <0.50*Cos_010(NormClock), 0, 0>;

#local Pos_Rep = Interpolate(Pos_Cam, Pos_Lat, 1.07);
// object { Marker scale 0.33333 translate (Pos_Rep + <0, 0.50, 0>) }

camera	{
	location	Pos_Cam
	look_at		Pos_Lat
	right		x*image_width/image_height
	angle 		AngleCam
	}

/*    ------------------------------------------------------    */
